WPSSubDocument Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
WPSSubDocument Class Reference

virtual class to define a sub document More...

`#include <WPSSubDocument.h>`

Inheritance diagram for WPSSubDocument:

## Public Member Functions
| WPSSubDocument (RVNGInputStreamPtr &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
virtual bool | operator== (shared_ptr< WPSSubDocument > const &doc) const
| an operator = More...
bool | operator!= (shared_ptr< WPSSubDocument > const &doc) const

## Protected Attributes
RVNGInputStreamPtr | m_input
int | m_id

## Private Member Functions
| WPSSubDocument (const WPSSubDocument &)
WPSSubDocument & | operator= (const WPSSubDocument &)

## Detailed Description

virtual class to define a sub document

## Constructor & Destructor Documentation

WPSSubDocument::WPSSubDocument | ( | RVNGInputStreamPtr & | input,
|  | int | id = `0`
| ) |  |

constructor

WPSSubDocument::~WPSSubDocument | ( |  | ) |
| virtual

destructor

WPSSubDocument::WPSSubDocument | ( | const WPSSubDocument & |  | ) |
| private

## Member Function Documentation

RVNGInputStreamPtr& WPSSubDocument::getInput | ( |  | ) |
| inline

returns the input

int WPSSubDocument::id | ( |  | ) | const
| inline

get the identificator

bool WPSSubDocument::operator!= | ( | shared_ptr< WPSSubDocument > const & | doc | ) | const
| inline

WPSSubDocument& WPSSubDocument::operator= | ( | const WPSSubDocument & |  | ) |
| private

bool WPSSubDocument::operator== | ( | shared_ptr< WPSSubDocument > const & | doc | ) | const
| virtual

an operator =

Reimplemented in WPS8TextInternal::SubDocument, and WKSSubDocument.

Referenced by operator!=(), and setId().

void WPSSubDocument::setId | ( | int | i | ) |
| inline

set the identificator

## Member Data Documentation

int WPSSubDocument::m_id
| protected

Referenced by id(), operator==(), and setId().

RVNGInputStreamPtr WPSSubDocument::m_input
| protected

Referenced by getInput(), WPSTextSubDocument::getInput(), operator==(), and MSWriteParserInternal::SubDocument::parse().

The documentation for this class was generated from the following files:

- WPSSubDocument.h
- WPSSubDocument.cpp